function interval=FallTime2(voltage,time)
%Calculates the fall time(peak to offset) of an AP in ms. Input data should be
%visible data extracted from Ephys viewer for the AP.Offset calcualted 
%as return to voltage before AP onset.


dvoltage=diff(voltage);




 onset_indices=find(dvoltage>=1);
 onset_index=onset_indices(1);
 onset=time(onset_index);
 pre_onset_voltage=voltage(onset_index-1);

after_onset_length=length(time)-onset_index;
is_offset=zeros(after_onset_length,1);
for j=1:after_onset_length;
     is_offset(j,1)=voltage(j+onset_index)<=pre_onset_voltage;
 end
 
 offset_indices=find(is_offset);
 offset_index=offset_indices(1)+onset_index;
 offset=time(offset_index);

 [peak,peak_index]=max(voltage);
 peak_time=time(peak_index);
 
 interval=1000*(offset-peak_time);