function interval=RiseTime2(voltage,time)
%Calculates the rise time of an action potential in ms. Input data should be
%visible data extracted from Ephys viewer for the AP. Onest calculated as a
%>1mV/100ms increase.


dvoltage=diff(voltage);


 onset_indices=find(dvoltage>=1);
 onset_index=onset_indices(1);
 onset=time(onset_index);
 
 [peak,peak_index]=max(voltage);
 peak_time=time(peak_index);
 
 interval=1000*(peak_time-onset);
 