names=fieldnames(x20091205c7);
voltage=eval(strcat('x20091205c7.',names{1}));
current=eval(strcat('x20091205c7.',names{2}));
time=eval(strcat('x20091205c7.',names{3}));

%RMP and holding current
[baseline,Vm]=findbase(voltage);
[baseline,HC]=findbase(current);

%Spike adaptation and frequency for 500ms, 2x threshold pulse
v_train=voltage(346995:352005);
t_train=time(346995:352005);
SA=index_accomodation2(v_train, t_train);
F=spike_frequency(v_train,t_train);

%Rheobase calculated as 0.5* 2x injection
i_train=current(347000:352000);
rheobase=.5*(mean(i_train)-HC);

%Locate AP1 and AP2. 
aps=findaps2(v_train);
t_AP1=t_train(aps(1)-10:aps(2)-10);
t_AP2=t_train(aps(2)-10:aps(3)-10);

v_AP1=v_train(aps(1)-10:aps(2)-10);
v_AP2=v_train(aps(2)-10:aps(3)-10);

%AP1 measurements hw=half-width, rt=rise time, ft=fall time, rr= rise rate
%fr=fall rate
Amp1=APamp(v_AP1);
duration1=APduration2(v_AP1,t_AP1);
hw1=half_width2(v_AP1,t_AP1);
rt1=RiseTime2(v_AP1,t_AP1);
ft1=FallTime2(v_AP1,t_AP1);
rr1=Amp1/rt1;
fr1=Amp1/ft1;

%AP2 measurements
Amp2=APamp(v_AP2);
duration2=APduration2(v_AP2,t_AP2);
hw2=half_width2(v_AP2,t_AP2);
rt2=RiseTime2(v_AP2,t_AP2);
ft2=FallTime2(v_AP2,t_AP2);
rr2=Amp2/rt2;
fr2=Amp2/ft2;

%AP drop
drop=Amp1-Amp2;

%Rin from smallest hyperpolarizing step
v1=mean(voltage(80000:90000));
i1=mean(current(80000:90000));
v2=min(voltage(90000:100000));
i2=mean(current(90000:100000));
Rin=(v2-v1)/(i2-i1);

A=[rheobase,Vm,Amp1,duration1,hw1,rt1,ft1,rr1,fr1,Amp2,duration2,hw2,rt2,ft2,rr2,fr2,drop,SA,Rin,F,HC]