function ratio=index_accomodation2(voltage,time)
%Calculates the index of accomodation for a AP train as t2/t1 where t2 is
%the time between the peaks of the last two AP's and t1 is the time between
%the peaks of the first two AP's. Input data should be exported visible
%data from Ephysviewer for fields of time and voltage channels.




aps=findaps2(voltage);
num_aps=length(aps);
1;

if (num_aps)<=2
    disp('Input data was not a train of APs')
else
    
    t_AP1=time(aps(1));
    t_AP2=time(aps(2));
    t1=t_AP2-t_AP1;
    
    last_index=aps(num_aps);
    last2_index=aps(num_aps-1);
    t_AP2tolast=time(last2_index);
    t_APlast=time(last_index);
    t2=t_APlast-t_AP2tolast;
    
    ratio=t2/t1;
end
